# Repzo API - MSL

OpenAPI specification for Repzo MSL (Most Sold List) endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/msl`

#### GET /msl

**Summary:** Find MSLs

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering MSLs |

##### Responses

**200** - A list of MSLs

Content-Type: `application/json`

---

#### POST /msl

**Summary:** Create an MSL

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**201** - MSL created

Content-Type: `application/json`

---

### `/msl/{id}`

#### GET /msl/{id}

**Summary:** Get an MSL by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - MSL details

Content-Type: `application/json`

---

#### PUT /msl/{id}

**Summary:** Update an MSL

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - MSL updated

Content-Type: `application/json`

---

#### DELETE /msl/{id}

**Summary:** Remove an MSL

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - MSL removed

Content-Type: `application/json`

---

## Data Models

### MSLFindResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `meta` | object | No | No description |

### MSLCreateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `client` | string | No | No description |

| `rep` | string | No | No description |

| `startDate` | string | No | No description |

| `endDate` | string | No | No description |

| `disabled` | boolean | No | No description |

### MSLCreateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### MSLGetResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### MSLUpdateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `client` | string | No | No description |

| `rep` | string | No | No description |

| `startDate` | string | No | No description |

| `endDate` | string | No | No description |

| `disabled` | boolean | No | No description |

### MSLUpdateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### MSLRemoveResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `success` | boolean | No | No description |

### MSL

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | No description |

| `name` | string | No | No description |

| `client` | string | No | No description |

| `rep` | string | No | No description |

| `startDate` | string | No | No description |

| `endDate` | string | No | No description |

| `disabled` | boolean | No | No description |

| `createdAt` | string | No | No description |

| `updatedAt` | string | No | No description |

## TypeScript Usage

See [msl-examples.md](./msl-examples.md) for detailed TypeScript usage examples.
